/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package de.nplusc.izc.tools.UiToolz;

import java.awt.Point;
import java.util.HashMap;

/**
 * 
 * @author LH
 */
public class IZSkinFile
{
    public IZSkinFile(String uprogram)
    {
        usingProgram=uprogram;
        elementPositions = new HashMap<>();
        elementData = new HashMap<>();
    }
    public IZSkinFile(){
    elementPositions = new HashMap<>();
    elementData = new HashMap<>();
    
    }//serialisierer....
    private String usingProgram;
    // private HashMap<String,String> elementDefinitions;//name>typ (Grafik/text/Schriftart)
    private HashMap<String,int[]> elementPositions; //basisposition des elements
    private HashMap<String,String> elementData;//pfade der dateien,verwendete schriftart...

    public String getUsingProgram()
    {
        return usingProgram;
    }

    public void setUsingProgram(String usingProgram)
    {
        this.usingProgram = usingProgram;
    }

    public HashMap<String, int[]> getElementPositions()
    {
        return elementPositions;
    }

    public void setElementPositions(HashMap<String, int[]> elementPositions)
    {
        this.elementPositions = elementPositions;
    }

    public HashMap<String, String> getElementData()
    {
        return elementData;
    }

    public void setElementData(HashMap<String, String> elementData)
    {
        this.elementData = elementData;
    }
    
}
